Thanks Thanks:  0
Likes Likes:  0
Results 1 to 8 of 8

Thread: What's the latest version I can safely upgrade to without breaking integration?

  1. #1
    Senior Member
    Join Date
    Dec 2013
    Posts
    260

    What's the latest version I can safely upgrade to without breaking integration?

    With HWQS, I went through hell last year when I updated the firmware and it broke all the integration due to the new security requirements of telnet. I now have to make some electric repairs to a system that will require me to update the firmware of RA2 but am not sure if I can. Now days especially with COVID-19, they don't want more people than needed so I don't want the AV guy to also have to come there. Is version 12 safe? Can I go newer?They also have the older connect bridge so I don't want that to break either as it's been working fine.

  2. #2
    Senior Member
    Join Date
    Jan 2019
    Posts
    156
    You shouldn't have any issues if you add the old default lutron/integration login to the latest version of the software. I think they removed the default in 12.2. It's in the release notes but myLutron login isn't working for me right now (I love my ISP)

    Hope this helps!
    Evan Kirkhart- Home Electronics Solutions
    evan@homeelectronics.solutions

  3. #3
    Senior Member
    Join Date
    Dec 2013
    Posts
    260
    Quote Originally Posted by evankirkhart View Post
    You shouldn't have any issues if you add the old default lutron/integration login to the latest version of the software. I think they removed the default in 12.2. It's in the release notes but myLutron login isn't working for me right now (I love my ISP) Hope this helps!
    so it still lets me manually add it and not reject it?

  4. #4
    Authorized Lutron Contributor
    Join Date
    Jun 2013
    Posts
    13
    Quote Originally Posted by SparkyCoog View Post
    so it still lets me manually add it and not reject it?
    In HWQS 13.0, Lutron introduced even more Telnet security features which requires more secure login credentials. You will need to go into Configure Integration options and create a new Telnet login for this third-party system to use. The third-party system will need to be updated to use these new credentials. Please note that you will not be able to add in the old default credentials as the passwords to those logins were weak in strength. We now require stronger passwords for integration logins. Hope this helps!

  5. #5
    Authorized Lutron Contributor
    Join Date
    Jun 2013
    Posts
    13
    My Mistake. I was referring to HWQS not Ra2. Evan was correct. The telnet security was strengthened in 12.2 but you can indeed put the default credential back in.

  6. #6
    Senior Member
    Join Date
    Dec 2013
    Posts
    260
    Quote Originally Posted by Aaron D. View Post
    My Mistake. I was referring to HWQS not Ra2. Evan was correct. The telnet security was strengthened in 12.2 but you can indeed put the default credential back in.
    That is contradictory to what Tech support told me when I called them. Are you SURE that we are able to add the default logins? Please keep in mind that often I am called in to a house that was integrated years ago by a company long gone with a system that's possibly outdated as well so that customer is not concerned about security theater that in reality accomplishes nothing - unless a hacker just happens to break into their wifi network and just happens to be a Lutron dealer with the Lutron software and decides to extract the database and then change some lighting scenes around. Seriously...is that the big worry there? Has that EVER happened?Also, can you confirm what happens to the older Connect Bridges? Will they stop working if upgraded to version 12? Again, the Tech Support I spoke with told me they didn't think it would but weren't sure and I've heard on here that it will in fact break them. Ever since we got that email a few years ago regarding the Connect Bridges, I have yet to get a straight answer about them too and everything about that whole deal has made zero sense. We were told that if the Connect Bridge was connected to the internet, it would work fine but it wasn't, it coul not be upgraded later....but there is an upgrade tool online for some reason even though we were told it's either already updated online by itself or it's not upgradable and is a paper weight. So which is it? And again, will it break if upgrade to version 12.x?

  7. #7
    Senior Member
    Join Date
    Oct 2013
    Posts
    1,727
    I ran 12.0 on an original bridge for some time with no issues. The reason I upgraded was 1 - it was free and, 2 - I wanted to test the Apple integration.

    Lutron does seem to be paranoid about security. I don't see how hackers could logon to the Lutron processor unless they were already on the network issue. My guess is a lawyer is claiming liability issues.
    LED, Incorporated
    Raleigh, NC 27614

  8. #8
    Senior Member
    Join Date
    Oct 2013
    Posts
    218
    I was told the switch over was because they moved to a different server. Old bridge had to be connected to internet so it could work it's mojo, see both old and new servers and do the switch over. The old server is no longer in operation so old bridge has nothing to look for to tell it how to switch over. I'm sure I missed something but that's the nuts and bolts that I remember. If you have all ready done the upgrade then you should be good. I had an old bridge that didn't make the deadline. I opened it to look t it then threw it out.

Similar Threads

  1. What's the latest RA2 designer software version?
    By tigerpawgt in forum General Discussion - RA2
    Replies: 2
    Last Post: 12-18-2019, 08:46 AM
  2. RRD-6D-WH in Latest Essentials
    By dinom in forum Programming - RA2
    Replies: 12
    Last Post: 06-17-2019, 09:46 PM
  3. Replies: 4
    Last Post: 06-03-2019, 09:07 AM
  4. Issues with latest firmware/8.0 and app version
    By totalcontrol in forum General Discussion - RA2
    Replies: 14
    Last Post: 02-02-2015, 04:37 PM
  5. How Do I Report a Bug In the Latest Version of the iPhone App ?
    By KNRWSX in forum General Discussion - HWQS
    Replies: 4
    Last Post: 12-11-2014, 06:14 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •